# PHP轻论坛 v3.0 - 完全重构版

## 简介

PHP轻论坛是一个简单易用的PHP论坛程序，适合小型社区和个人网站使用。v3.0版本是完全重构的版本，解决了之前版本中的所有已知问题，特别是MySQL保留字冲突问题。

## 主要特点

- **简单易用**：简洁的界面，易于安装和使用
- **响应式设计**：适配各种设备，包括手机和平板
- **安全可靠**：避免使用MySQL保留字，防止SQL注入
- **功能完善**：支持分类、主题、回复、用户管理等基本功能
- **易于扩展**：模块化设计，便于添加新功能

## 系统要求

- PHP 7.4 或更高版本
- MySQL 5.6 或更高版本 / MariaDB 10.0 或更高版本
- PDO、mbstring、json、gd 扩展

## 安装说明

1. 解压 `php_forum_v3.0_final.tar.gz` 到Web服务器目录
2. 确保 `config` 和 `uploads` 目录可写
3. 访问 `install/index.php` 开始安装
4. 按照安装向导的指示完成配置
5. 安装完成后删除 `install` 目录

## 目录结构

```
php_forum_v3/
├── admin/             # 管理后台
├── config/            # 配置文件
├── includes/          # 核心类和函数
│   ├── database.php   # 数据库类
│   └── functions.php  # 公共函数
├── install/           # 安装程序
├── templates/         # 页面模板
├── uploads/           # 上传文件
└── index.php          # 首页
```

## 安全说明

本版本特别注意了MySQL保留字的使用问题，所有表和字段名都经过精心设计，避免使用MySQL保留字。所有SQL语句都使用预处理语句，防止SQL注入攻击。

## 主要改进

与之前版本相比，v3.0版本有以下主要改进：

1. **完全重构数据库结构**：
   - 避免使用MySQL保留字作为表名和字段名
   - 使用更规范的命名方式（例如：`forum_settings`表使用`setting_key`、`setting_value`而不是`key`、`value`）
   - 所有字段名都使用反引号包围，确保SQL语句安全

2. **增强的安全性**：
   - 所有SQL语句使用预处理语句
   - 统一使用命名参数，避免参数混合使用
   - 完善的错误处理和异常捕获

3. **优化的安装程序**：
   - 简化的4步安装向导
   - 详细的环境检测
   - 更友好的用户界面
   - 完善的错误提示

## 版本信息

- **版本**：v3.0.0
- **发布日期**：2024-06-09
- **作者**：季伯家族

## 许可证

本软件使用MIT许可证。详情请参阅LICENSE文件。

